package review_service

import (
	"github.com/huaweicloud/huaweicloud-sdk-go-v3/core/auth/basic"
	moderation "github.com/huaweicloud/huaweicloud-sdk-go-v3/services/moderation/v3"
	moderationRegion "github.com/huaweicloud/huaweicloud-sdk-go-v3/services/moderation/v3/region"
	ocr "github.com/huaweicloud/huaweicloud-sdk-go-v3/services/ocr/v1"
	ocrRegion "github.com/huaweicloud/huaweicloud-sdk-go-v3/services/ocr/v1/region"
)

type ReviewService struct {
	client    *moderation.ModerationClient
	ocrClient *ocr.OcrClient
	projectId string
}

func Config(ak, sk, projectId string) *ReviewService {
	auth := basic.NewCredentialsBuilder().
		WithAk(ak).
		WithSk(sk).
		//WithProjectId(projectId).
		Build()

	client := moderation.NewModerationClient(
		moderation.ModerationClientBuilder().
			WithRegion(moderationRegion.ValueOf("cn-north-4")).
			WithCredential(auth).
			Build())

	ocrClient := ocr.NewOcrClient(
		ocr.OcrClientBuilder().
			WithRegion(ocrRegion.ValueOf("cn-north-4")).
			WithCredential(auth).
			Build())

	return &ReviewService{
		client:    client,
		ocrClient: ocrClient,
		projectId: projectId,
	}
}
