package review_service

import (
	"encoding/json"
	"github.com/huaweicloud/huaweicloud-sdk-go-v3/services/moderation/v3/model"
)

/*
result.suggestion:

	block：包含敏感信息，不通过
	review：需要人工复检
	pass：不包含敏感信息，通过
*/
func (s *ReviewService) CheckContent(text string) (string, error) {
	request := &model.RunTextModerationRequest{}
	request.EnterpriseProjectId = &s.projectId
	eventType := "article"
	listCategoriesbody := []string{
		"terrorism", "porn", "ban", "abuse",
	}
	databody := model.TextDetectionDataReq{
		Text: text,
	}
	request.Body = &model.TextDetectionReq{
		Data:       &databody,
		EventType:  &eventType,
		Categories: &listCategoriesbody,
	}
	response, err := s.client.RunTextModeration(request)
	if err != nil {
		return "文本审核服务异常", err
	}
	result := response.Result
	jsonData, err := json.Marshal(result)
	jsonString := string(jsonData)
	return jsonString, nil
}
