package review_service

import (
	"encoding/json"
	"github.com/huaweicloud/huaweicloud-sdk-go-v3/services/ocr/v1/model"
)

func (s *ReviewService) CheckCredentials(credentialsUrl string) (string, error) {
	request := &model.RecognizeBusinessLicenseRequest{}
	request.Body = &model.BusinessLicenseRequestBody{
		Url: &credentialsUrl,
	}
	response, err := s.ocrClient.RecognizeBusinessLicense(request)
	if err != nil {
		//if err.StatusCode == 400 {
		//	return "false", err
		//}
		return "营业执照审核服务异常", err
	}
	result := response.Result
	jsonData, err := json.Marshal(result)
	jsonString := string(jsonData)
	return jsonString, nil

	//request := &model.CheckImageModerationRequest{}
	//listCategoriesbody := []string{
	//	"terrorism", "porn",
	//}
	//eventType := "head_image"
	//request.Body = &model.ImageDetectionReq{
	//	Url:        &imageUrl,
	//	Categories: &listCategoriesbody,
	//	EventType:  &eventType,
	//}

}
