package review_service

import (
	"github.com/huaweicloud/huaweicloud-sdk-go-v3/services/moderation/v3/model"
)

func (s *ReviewService) CheckDocument(documentUrl, format string) (string, error) {
	request := &model.RunCreateDocumentModerationJobRequest{}
	databody := &model.DocumentCreateRequestData{
		Url:    documentUrl,
		Format: format,
	}
	request.Body = &model.DocumentCreateRequest{
		EventType: "default",
		Data:      databody,
	}
	response, err := s.client.RunCreateDocumentModerationJob(request)
	if err != nil {
		return "文档审核服务异常", err
	}
	jobId := *response.JobId
	return jobId, nil
}
