package review_service

import (
	"encoding/json"
	"github.com/huaweicloud/huaweicloud-sdk-go-v3/services/moderation/v3/model"
)

/*
result.suggestion:

	block：包含敏感信息，不通过
	review：需要人工复检
	pass：不包含敏感信息，通过
*/
func (s *ReviewService) CheckImage(imageUrl string) (string, error) {
	request := &model.CheckImageModerationRequest{}
	listCategoriesbody := []string{
		"terrorism", "porn",
	}
	eventType := "head_image"
	request.Body = &model.ImageDetectionReq{
		Url:        &imageUrl,
		Categories: &listCategoriesbody,
		EventType:  &eventType,
	}
	response, err := s.client.CheckImageModeration(request)
	if err != nil {
		return "图片审核服务异常", err
	}
	result := response.Result
	jsonData, err := json.Marshal(result)
	jsonString := string(jsonData)
	return jsonString, nil
}
