package review_service

import (
	"github.com/huaweicloud/huaweicloud-sdk-go-v3/services/moderation/v3/model"
)

func (s *ReviewService) CheckVideo(videoUrl string) (string, error) {
	request := &model.RunCreateVideoModerationJobRequest{}
	var listAudioCategoriesbody = []model.VideoCreateRequestAudioCategories{
		model.GetVideoCreateRequestAudioCategoriesEnum().PORN, model.GetVideoCreateRequestAudioCategoriesEnum().MOAN, model.GetVideoCreateRequestAudioCategoriesEnum().ABUSE,
	}
	var listImageCategoriesbody = []model.VideoCreateRequestImageCategories{
		model.GetVideoCreateRequestImageCategoriesEnum().PORN, model.GetVideoCreateRequestImageCategoriesEnum().TERRORISM,
	}
	var eventType = model.GetVideoCreateRequestEventTypeEnum().DEFAULT
	frameIntervalData := int32(2)
	databody := &model.VideoCreateRequestData{
		Url:           videoUrl,
		FrameInterval: &frameIntervalData, // 截帧频率间隔
	}
	//callbackVideoCreateRequest := "http://xxx.xx.xxxx"
	request.Body = &model.VideoCreateRequest{
		AudioCategories: &listAudioCategoriesbody, // 视频中音频需要检测的风险类型
		ImageCategories: &listImageCategoriesbody, // 视频中画面需要检测的风险类型
		EventType:       &eventType,
		Data:            databody,
		//Callback:        &callbackVideoCreateRequest,
	}
	response, err := s.client.RunCreateVideoModerationJob(request)
	if err != nil {
		return "视频审核服务异常", err
	}
	jobId := *response.JobId
	return jobId, nil
}
