// Package docs GENERATED BY SWAG; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/login": {
            "post": {
                "description": "输入手机号和验证码，并登录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "login 登录",
                "parameters": [
                    {
                        "description": "登录输入内容请求参数结构体",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/http_model.CodeLoginRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录返回相应结构体",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http_model.CommonResponse"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/http_model.CodeLoginData"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/product/changeTaskStatus": {
            "post": {
                "description": "更改项目任务的状态",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "ProjectChangeTaskStatus 更改项目任务状态",
                "parameters": [
                    {
                        "description": "更改项目任务状态的请求结构体",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/http_model.ProjectChangeTaskStatusRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "更改项目任务状态相应结构体",
                        "schema": {
                            "$ref": "#/definitions/http_model.CommonResponse"
                        }
                    }
                }
            }
        },
        "/product/create": {
            "post": {
                "description": "企业创建商品,添加到商品库",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "CreateProduct 创建商品",
                "parameters": [
                    {
                        "type": "string",
                        "description": "登录TOKEN信息",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "创建商品请求结构体",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/http_model.CreateProductRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "创建商品相应结构体",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http_model.CommonResponse"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/http_model.CreateProductData"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/product/find": {
            "post": {
                "description": "根据产品名称查询产品信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "findProduct 根据产品名称查询产品信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "登录TOKEN信息",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "发送产品id请求参数结构体",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/http_model.FindProductRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "查询对应产品返回相应结构体",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http_model.CommonResponse"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/http_model.FindProductData"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/product/list": {
            "post": {
                "description": "展示企业的商品列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "ProjectList 商品列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "登录TOKEN信息",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "创建全部商品请求结构体",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/http_model.FullProjectListRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "创建全部商品列表相应结构体",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http_model.CommonResponse"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/http_model.FullProjectListData"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/product/taskList": {
            "post": {
                "description": "展示某个项目的任务列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "ProjectTaskList 项目任务列表",
                "parameters": [
                    {
                        "description": "查询项目的任务列表的请求结构体",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/http_model.ProjectTaskListRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "查询项目的任务列表相应结构体",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http_model.CommonResponse"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/http_model.ProjectTaskListData"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/project/show": {
            "post": {
                "description": "企业查看执行中项目",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "CreateProduct 创建商品",
                "parameters": [
                    {
                        "type": "string",
                        "description": "登录TOKEN信息",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "查看项目请求结构体",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/http_model.ShowProjectRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "查看项目相应结构体",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http_model.CommonResponse"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/http_model.ShowProjectData"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/sendCode": {
            "post": {
                "description": "发送验证码，每次发送到邮箱",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "sendCode 发送验证码",
                "parameters": [
                    {
                        "description": "发送验证码请求参数结构体",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/http_model.SendCodeRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "发送验证码请求相应结构体",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http_model.CommonResponse"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/http_model.SendCodeData"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "http_model.CodeLoginData": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "http_model.CodeLoginRequest": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "http_model.CommonResponse": {
            "type": "object",
            "properties": {
                "data": {},
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "http_model.CreateProductData": {
            "type": "object",
            "properties": {
                "product_id": {
                    "description": "商品id",
                    "type": "integer"
                }
            }
        },
        "http_model.CreateProductPhoto": {
            "type": "object",
            "properties": {
                "photo_uid": {
                    "type": "string"
                },
                "photo_url": {
                    "description": "图片或视频url",
                    "type": "string"
                },
                "symbol": {
                    "description": "图片为主图或详情图标志位，1为主图，2为详情图，3为视频",
                    "type": "integer"
                }
            }
        },
        "http_model.CreateProductRequest": {
            "type": "object",
            "properties": {
                "brand_name": {
                    "type": "string"
                },
                "product_detail": {
                    "type": "string"
                },
                "product_id": {
                    "type": "integer"
                },
                "product_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "product_photos": {
                    "description": "商品图片列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/http_model.CreateProductPhoto"
                    }
                },
                "product_price": {
                    "description": "商品价值",
                    "type": "integer"
                },
                "product_type": {
                    "description": "商品类型",
                    "type": "integer"
                },
                "product_url": {
                    "description": "商品链接，可为电商网址、公司官网、大众点评的店铺地址等可以说明商品信息或者品牌信息的线上地址；",
                    "type": "string"
                },
                "shop_address": {
                    "description": "店铺地址，商品类型为线下品牌时需填写",
                    "type": "string"
                }
            }
        },
        "http_model.FindProductData": {
            "type": "object",
            "properties": {
                "brand_name": {
                    "description": "品牌名称",
                    "type": "string"
                },
                "enterprise_id": {
                    "description": "所属企业id",
                    "type": "integer"
                },
                "product_detail": {
                    "type": "string"
                },
                "product_id": {
                    "type": "integer"
                },
                "product_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "product_photos": {
                    "description": "商品图片列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/http_model.ProductPhoto"
                    }
                },
                "product_price": {
                    "description": "商品价值",
                    "type": "integer"
                },
                "product_type": {
                    "description": "商品类型",
                    "type": "integer"
                },
                "product_url": {
                    "description": "商品链接，可为电商网址、公司官网、大众点评的店铺地址等可以说明商品信息或者品牌信息的线上地址；",
                    "type": "string"
                },
                "shop_address": {
                    "description": "店铺地址，商品类型为线下品牌时需填写",
                    "type": "string"
                }
            }
        },
        "http_model.FindProductRequest": {
            "type": "object",
            "properties": {
                "product_id": {
                    "type": "integer"
                }
            }
        },
        "http_model.FullProjectListData": {
            "type": "object",
            "properties": {
                "full_project_pre_view": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/http_model.FullProjectPreview"
                    }
                },
                "total": {
                    "type": "string"
                }
            }
        },
        "http_model.FullProjectListRequest": {
            "type": "object",
            "properties": {
                "page_num": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "project_content_type": {
                    "description": "内容形式",
                    "type": "string"
                },
                "project_form": {
                    "description": "项目形式",
                    "type": "string"
                },
                "project_id": {
                    "description": "项目ID",
                    "type": "string"
                },
                "project_name": {
                    "description": "项目名",
                    "type": "string"
                },
                "project_platform": {
                    "description": "项目平台",
                    "type": "string"
                },
                "project_status": {
                    "description": "项目状态",
                    "type": "string"
                },
                "project_updated": {
                    "description": "最后操作时间",
                    "type": "string"
                }
            }
        },
        "http_model.FullProjectPreview": {
            "type": "object",
            "properties": {
                "project_content_type": {
                    "description": "ProjectFeeForms    []string ` + "`" + `json:\"project_fee_forms\"` + "`" + `    // 稿费形式",
                    "type": "string"
                },
                "project_form": {
                    "description": "项目形式",
                    "type": "string"
                },
                "project_id": {
                    "description": "项目ID",
                    "type": "string"
                },
                "project_name": {
                    "description": "项目名",
                    "type": "string"
                },
                "project_platform": {
                    "description": "项目平台",
                    "type": "string"
                },
                "project_status": {
                    "description": "项目状态",
                    "type": "string"
                },
                "project_updated": {
                    "description": "最后操作时间",
                    "type": "string"
                }
            }
        },
        "http_model.ProductPhoto": {
            "type": "object",
            "properties": {
                "photo_uid": {
                    "type": "string"
                },
                "photo_url": {
                    "description": "图片或视频url",
                    "type": "string"
                },
                "symbol": {
                    "description": "图片为主图或详情图标志位，1为主图，2为详情图，3为视频",
                    "type": "integer"
                }
            }
        },
        "http_model.ProjectChangeTaskStatusRequest": {
            "type": "object",
            "properties": {
                "taskIds": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "task_status": {
                    "type": "string"
                }
            }
        },
        "http_model.ProjectTaskListData": {
            "type": "object",
            "properties": {
                "project_task_pre_view": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/http_model.ProjectTaskPreview"
                    }
                },
                "total": {
                    "type": "string"
                }
            }
        },
        "http_model.ProjectTaskListRequest": {
            "type": "object",
            "properties": {
                "page_num": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "platform_nickname": {
                    "description": "账号昵称",
                    "type": "string"
                },
                "project_id": {
                    "description": "项目ID",
                    "type": "string"
                },
                "strategy_id": {
                    "description": "策略ID",
                    "type": "string"
                },
                "task_id": {
                    "description": "任务ID",
                    "type": "string"
                },
                "task_status": {
                    "description": "任务状态",
                    "type": "string"
                }
            }
        },
        "http_model.ProjectTaskPreview": {
            "type": "object",
            "properties": {
                "create_date": {
                    "description": "创建时间",
                    "type": "string"
                },
                "fans_count": {
                    "description": "粉丝数",
                    "type": "string"
                },
                "home_page_capture_url": {
                    "description": "主页链接",
                    "type": "string"
                },
                "platform_nickname": {
                    "description": "账号昵称",
                    "type": "string"
                },
                "strategy_id": {
                    "description": "报名选择的招募策略id",
                    "type": "string"
                },
                "talent_personal_info_snap": {
                    "description": "达人个人信息快照",
                    "type": "string"
                },
                "task_id": {
                    "description": "任务ID",
                    "type": "string"
                },
                "task_reward": {
                    "description": "任务奖励金额",
                    "type": "string"
                },
                "task_status": {
                    "description": "任务状态",
                    "type": "string"
                }
            }
        },
        "http_model.SendCodeData": {
            "type": "object"
        },
        "http_model.SendCodeRequest": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "http_model.ShowProjectData": {
            "type": "object",
            "properties": {
                "content_type": {
                    "description": "内容形式，1代表图文，2代表视频",
                    "type": "string"
                },
                "create_at": {
                    "description": "创建时间",
                    "type": "string"
                },
                "enterprise_id": {
                    "description": "企业id",
                    "type": "string"
                },
                "phone": {
                    "description": "联系方式",
                    "type": "string"
                },
                "product_id": {
                    "description": "关联商品id",
                    "type": "string"
                },
                "project_detail": {
                    "description": "项目详情",
                    "type": "string"
                },
                "project_form": {
                    "description": "项目形式，1-4分别代表实体商品寄拍、虚拟产品测评、线下探店打卡、素材微原创",
                    "type": "string"
                },
                "project_id": {
                    "description": "项目id",
                    "type": "string"
                },
                "project_name": {
                    "description": "项目名称",
                    "type": "string"
                },
                "project_photos": {
                    "description": "项目图片",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/http_model.ShowProjectPhoto"
                    }
                },
                "project_platform": {
                    "description": "项目平台，1-7分别代表红book、抖音、微博、快手、b站、大众点评、知乎",
                    "type": "string"
                },
                "project_status": {
                    "description": "项目状态，1-7分别代表创建中、待审核、招募中、待支付、失效、执行中、已结案",
                    "type": "string"
                },
                "project_type": {
                    "description": "项目类型，1代表全流程项目，2代表专项项目",
                    "type": "string"
                },
                "recruit_ddl": {
                    "description": "招募截止时间",
                    "type": "string"
                },
                "recruit_strategys": {
                    "description": "定价策略",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/http_model.ShowRecruitStrategy"
                    }
                },
                "talent_type": {
                    "description": "达人类型",
                    "type": "string"
                }
            }
        },
        "http_model.ShowProjectPhoto": {
            "type": "object",
            "properties": {
                "photo_uid": {
                    "type": "string"
                },
                "photo_url": {
                    "description": "图片url",
                    "type": "string"
                }
            }
        },
        "http_model.ShowProjectRequest": {
            "type": "object",
            "properties": {
                "Project_id": {
                    "description": "项目id",
                    "type": "integer"
                }
            }
        },
        "http_model.ShowRecruitStrategy": {
            "type": "object",
            "properties": {
                "fee_form": {
                    "description": "稿费形式，1-3分别代表自报价、固定稿费、产品置换",
                    "type": "string"
                },
                "followers_low": {
                    "description": "达人粉丝数下限",
                    "type": "string"
                },
                "followers_up": {
                    "description": "达人粉丝数上限",
                    "type": "string"
                },
                "offer": {
                    "description": "报价",
                    "type": "string"
                },
                "recruit_number": {
                    "description": "招募数量",
                    "type": "string"
                },
                "strategy_id": {
                    "description": "策略id",
                    "type": "string"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "",
	Description:      "",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
