package http_model

import "youngee_b_api/model/gorm_model"

type GetAllProductRequest struct {
	PageSize    int64 `json:"page_size"`
	PageNum     int64 `json:"page_num"`
	Platform    int8  `json:"platform"`     // 社媒平台
	FeeForm     int8  `json:"fee_form"`     // 稿费形式
	ProjectForm int8  `json:"project_form"` // 项目形式
}

type ProjectBriefInfo struct {
	ProjectID        string                        `json:"project_id"`         //项目ID
	ProjectForm      int64                         `json:"project_form"`       //任务形式
	ProjectName      string                        `json:"project_name"`       // 项目名称
	Platform         string                        `json:"platform"`           // 社媒平台
	PlatformIcon     string                        `json:"platform_icon"`      // 平台logo
	ProductSnap      string                        `json:"product_snap"`       // 商品信息快照
	ProductPhotoSnap string                        `json:"product_photo_snap"` // 商品图片快照
	RecruitStrategys []*gorm_model.RecruitStrategy `json:"recruit_strategys"`  // 招募策略
	SignNum          int64                         `json:"sign_num"`           // 报名人数
}

type ProjectBriefInfoPreview struct {
	ProjectBriefInfo []*ProjectBriefInfo `json:"project_brief_info"`
	Total            string              `json:"total"`
}

func NewGetAllProductRequest() *GetAllProductRequest {
	return new(GetAllProductRequest)
}

func NewGetAllProductResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(ProjectBriefInfoPreview)
	return resp
}
